package com.ruoyi.board.domain.enums;

import com.ruoyi.board.domain.PlanType;
import com.ruoyi.board.service.IPlanTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Component
public class AlertPlanType {

    static Map<String, Long> typeNameIDMap = new HashMap<>();

    @Autowired
    private IPlanTypeService planTypeService;


    public static int getPlanTypeByName(String planTypeName) {
        // 0:雾，1:雨，2:雪
        switch (planTypeName) {
            case "雾":
                return 0;
            case "雨":
                return 1;
            case "雪":
                return 2;
            default:
                return -1;
        }
    }

    public void setTypeNameIDMap() {
        typeNameIDMap.clear();
        List<PlanType> planTypeList = planTypeService.list();
        typeNameIDMap.putAll(planTypeList.stream()
                .collect(Collectors.toMap(
                        PlanType::getTypeName,
                        PlanType::getId
                )));
    }



}
